<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
    <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
    </ion-refresher-content>
  </ion-refresher>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed" style="padding-bottom: 20px;">
    <ion-fab-button [routerLink]="['/security/add-daily-visitor']">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <div *ngIf="!this.cache?.isLoading">
    <ion-list *ngFor="let dailyVisitor of this.cache?.objects; index as i">
      <ion-card>
        <ion-item>
          <ion-avatar slot="start">
            <img [src]="dailyVisitor.profilePicture.content">
          </ion-avatar>
          <ion-label>{{dailyVisitor?.name}}</ion-label>
        </ion-item>
        <ion-label>
          <ion-icon name="star"></ion-icon>
          {{ 'Id' |  translate}} - {{dailyVisitor?.id}}
        </ion-label>
        <div *ngFor="let visitingTo of dailyVisitor.visitingTo">
          <ion-label>
            <ion-icon name="home"></ion-icon>
            {{ 'Apartment' |  translate}} - {{visitingTo?.name}}
          </ion-label>
        </div>
        <ion-button color="danger" (click)="logIn(i)">{{ 'Check In' | translate }}</ion-button>
        <ion-button [routerLink]="['/security/dashboard/daily-visitors/update-daily-visitor',dailyVisitor.id]">
          {{ 'Edit' | translate }}</ion-button>
        <ion-grid>
          <ion-row *ngIf="dailyVisitor?._cache_pending_operation == 'add'" style="color: orangered;">
            <ion-icon name="alert"> </ion-icon>
            {{ 'ADDED: not synced to server' | translate }}
          </ion-row>
          <ion-row *ngIf="dailyVisitor?._cache_pending_operation == 'update'" style="color: goldenrod;">
            <ion-icon name="alert">r</ion-icon>
            {{ 'UPDATED: not synced to server' | translate }}
          </ion-row>
          <ion-row *ngIf="dailyVisitor?._cache_pending_operation == 'delete'" style="color: red;">
            <ion-icon name="alert">r</ion-icon>
            {{ 'DELETED: not synced to server' | translate }}
          </ion-row>
        </ion-grid>
      </ion-card>
    </ion-list>
    <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
      <ion-item>
        <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
      </ion-item>
    </ion-card>

    <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
      </ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </div>

  <ion-card *ngIf="this.cache?.isLoading">
    <ion-card-header>
      <ion-card-title>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-card-title>
      <ion-card-subtitle>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-card-subtitle>
    </ion-card-header>

    <ion-card-content>
      <ion-item>
        <ion-label>
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <div>
        <ion-skeleton-text animated></ion-skeleton-text>
        <ion-skeleton-text animated></ion-skeleton-text>
        <ion-skeleton-text animated></ion-skeleton-text>
        <ion-skeleton-text animated></ion-skeleton-text>
        <ion-skeleton-text animated></ion-skeleton-text>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>